<?php

namespace App\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFunction;

class Environment extends AbstractExtension
{
    public function getFunctions(): array
    {
        return [new TwigFunction('env', $this->getVar(...))];
    }

    public function getVar(string $name): string
    {
        return $_ENV[$name];
    }
}